<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCertificateRole StructType
 * @subpackage Structs
 */
class XCertificateRole extends AbstractStructBase
{
    /**
     * The roleName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $roleName;
    /**
     * Constructor method for XCertificateRole
     * @uses XCertificateRole::setRoleName()
     * @param string $roleName
     */
    public function __construct($roleName = null)
    {
        $this
            ->setRoleName($roleName);
    }
    /**
     * Get roleName value
     * @return string|null
     */
    public function getRoleName()
    {
        return $this->roleName;
    }
    /**
     * Set roleName value
     * @param string $roleName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XCertificateRole
     */
    public function setRoleName($roleName = null)
    {
        $this->roleName = $roleName;
        return $this;
    }
}
